<template>
    <div id="chosenCard"> 
        <div>
            <h3>Your chosen card</h3>
            <img class="card" v-bind:src="getSelectedCard()" alt="myPic"/>
        </div>
    </div>
</template>
<script>
    import axios from 'axios';
    export default {
        name: "chosenCard",
        props: ['chosenCardId'],
        data: function () {
            return {
                cardFileName: null, 
                cardId: this.$route.params.cardId
            }
        },
        methods: {
            getSelectedCard() {
                return require('../assets/' + this.cardFileName);
            },
            getSelectedCardFilename() {
                axios.get("https://localhost:44361/api/card/chosenCard/" + this.cardId)
                    .then(response => this.cardFileName = response.data);
            }
        },
        created: function () {
            this.getSelectedCardFilename();
        }
    }
</script>

<style scoped>
    .card {
        height: 250px;
        display: flex;
    }
</style>